Base URL: /v1, Version: 1.0.0
This REST Api allows you to submit chemical identifiers in one format and translate it into another format (e.g. SMILES -> InChi)
| Operation | Description |
|---|---|
| GET /asSvg | Returns an svg text of the given molecule |
| GET /molWeight | Returns the molecular weight (calculated with rdkit) |
| Operation | Description |
|---|---|
| GET /smiles/to/inchi | Converts from a SMILES format into InChI format |
| GET /inchi/to/smiles | Converts from a InChI format into (canonical) SMILES format |
| Operation | Description |
|---|---|
| GET /inchi/to/inchikey | Converts from a InChI format into InChIKey format |
| GET /inchikey/to/inchi | Converts from a InChIKey format into InChI format |
| Operation | Description |
|---|---|
| GET /smiles/to/inchikey | Converts from a SMILES format into InChIKey format |
| GET /inchikey/to/smiles | Converts from a InChIKey format into (canonical) SMILES format |
| Operation | Description |
|---|---|
| GET /smiles/to/cas | Converts from a SMILES format into a CAS number |
| GET /cas/to/smiles | Converts from a CAS number into (canonical) SMILES format |
| Operation | Description |
|---|---|
| GET /inchi/to/cas | Converts from a InChI format into a CAS number |
| GET /cas/to/inchi | Converts from a CAS number into InChI format |
| Operation | Description |
|---|---|
| GET /inchikey/to/cas | Converts from a InChIKey format into a CAS number |
| GET /cas/to/inchikey | Converts from a CAS number into InChIKey format |
| smiles | Compound structure notated using SMILES notation |
query | string (smiles) | #/parameters/smiles |
| width | SVG image width |
query | integer 450 | |
| height | SVG image height |
query | integer 450 |
image/svg+xml
Successfully created an svg represenatation
The text representation of the svg of the molecule
Unexpected error
Converts from a CAS number into InChI. Only a single match is returned if there is an ambiguity in the conversion. The conversion is performed by using an external webservice and has relatively high latency.
| cas | Compound structure notated as a CAS number (3 groups of numbers separated by dashes) |
query | string | #/parameters/cas |
Uses default content-types: application/json
The converted InChI string
Compound structure notated using InChI notation
Invalid request (typically a mandatory parameter was missing or malformed)
Error in conversion by external webservice
Upstream service timeout
Unexpected error
Converts from a CAS number into InChIKey. Only a single match is returned if there is an ambiguity in the conversion. The conversion is performed by using an external webservice and has relatively high latency.
| cas | Compound structure notated as a CAS number (3 groups of numbers separated by dashes) |
query | string | #/parameters/cas |
Uses default content-types: application/json
The converted InChIKey string
Compound structure notated using InChIKey
Invalid request (typically a mandatory parameter was missing or malformed)
Error in conversion by external webservice
Upstream service timeout
Unexpected error
Converts from a CAS number into (canonical) SMILES. Only a single match is returned if there is an ambiguity in the conversion. The conversion is performed by using an external webservice and has relatively high latency.
| cas | Compound structure notated as a CAS number (3 groups of numbers separated by dashes) |
query | string | #/parameters/cas |
Uses default content-types: application/json
The converted SMILES string
Compound structure notated using (canonical) SMILES notation
Invalid request (typically a mandatory parameter was missing or malformed)
Error in conversion by external webservice
Upstream service timeout
Unexpected error
Converts from a InChI format into a CAS number. Only a single match is returned if there is an ambiguity in the conversion. The conversion is performed by using an external webservice and has relatively high latency.
| inchi | Compound structure notated using InChI notation |
query | string | #/parameters/inchi |
Uses default content-types: application/json
The converted CAS number (3 groups of numbers separated by dashes)
Compound structure notated using a CAS number
Invalid request (typically a mandatory parameter was missing or malformed)
Error in conversion by external webservice
Upstream service timeout
Unexpected error
Converts from InChI format into InChIKey. The conversion is performed in process via rdkit.
| inchi | Compound structure notated using InChI notation |
query | string | #/parameters/inchi |
Uses default content-types: application/json
The converted InChIKey string
Compound structure notated using InChIKey
Invalid request (typically a mandatory parameter was missing or malformed)
Unexpected error
Converts from InChI format into (canonical) SMILES. Only a single match is returned if there is an ambiguity in the conversion. The conversion is performed in process via rdkit.
| inchi | Compound structure notated using InChI notation |
query | string | #/parameters/inchi |
Uses default content-types: application/json
The converted SMILES string
Compound structure notated using (canonical) SMILES notation
Invalid request (typically a mandatory parameter was missing or malformed)
Unexpected error
Converts from a InChIKey format into a CAS number. Only a single match is returned if there is an ambiguity in the conversion. The conversion is performed by using an external webservice and has relatively high latency.
| inchikey | Compound structure notated using InChIKey notation |
query | string | #/parameters/inchikey |
Uses default content-types: application/json
The converted CAS number (3 groups of numbers separated by dashes)
Compound structure notated using a CAS number
Invalid request (typically a mandatory parameter was missing or malformed)
Error in conversion by external webservice
Upstream service timeout
Unexpected error
Converts from InChIKey format into InChI. The conversion is performed by using an external webservice and has relatively high latency.
| inchikey | Compound structure notated using InChIKey notation |
query | string | #/parameters/inchikey |
Uses default content-types: application/json
The converted InChI string
Compound structure notated using InChI notation
Invalid request (typically a mandatory parameter was missing or malformed)
Error in conversion by external webservice
Upstream service timeout
Unexpected error
Converts from InChIKey format into (canonical) SMILES. The conversion is performed by using an external webservice and has relatively high latency.
| inchikey | Compound structure notated using InChIKey notation |
query | string | #/parameters/inchikey |
Uses default content-types: application/json
The converted SMILES string
Compound structure notated using (canonical) SMILES notation
Invalid request (typically a mandatory parameter was missing or malformed)
Error in conversion by external webservice
Upstream service timeout
Unexpected error
| smiles | Compound structure notated using SMILES notation |
query | string (smiles) | #/parameters/smiles |
Uses default content-types: application/json
The molecular weight (caluclated with rdkit)
Compound structure notated using (canonical) SMILES notation
The molecular weight (caluclated with rdkit)
Unexpected error
Converts from a SMILES format into a CAS number. Only a single match is returned if there is an ambiguity in the conversion. The conversion is performed by using an external webservice and has relatively high latency.
| smiles | Compound structure notated using SMILES notation |
query | string (smiles) | #/parameters/smiles |
Uses default content-types: application/json
The converted CAS number (3 groups of numbers separated by dashes)
Compound structure notated using a CAS number
Invalid request (typically a mandatory parameter was missing or malformed)
Error in conversion by external webservice
Upstream service timeout
Unexpected error
Converts from a SMILES format into InChI format. Only a single match is returned if there is an ambiguity in the conversion. The conversion is performed in process via rdkit.
| smiles | Compound structure notated using SMILES notation |
query | string (smiles) | #/parameters/smiles |
Uses default content-types: application/json
The converted InChI string
Compound structure notated using InChI notation
Invalid request (typically a mandatory parameter was missing or malformed)
Unexpected error
Converts from SMILES format into InChIKey. The conversion is performed in process via rdkit.
| smiles | Compound structure notated using SMILES notation |
query | string (smiles) | #/parameters/smiles |
Uses default content-types: application/json
The converted InChIKey string
Compound structure notated using InChIKey
Invalid request (typically a mandatory parameter was missing or malformed)
Unexpected error
The converted InChI string
Compound structure notated using InChI notation
The converted SMILES string
Compound structure notated using (canonical) SMILES notation
The converted InChIKey string
Compound structure notated using InChIKey
The converted CAS number (3 groups of numbers separated by dashes)
Compound structure notated using a CAS number
The molecular weight (caluclated with rdkit)
Compound structure notated using (canonical) SMILES notation
The molecular weight (caluclated with rdkit)